cereal::traits::has_shared_from_this< T > Struct Template Reference

Determine if T or any base class of T has inherited from std::enable_shared_from_this. More...

`#include </build/libcereal-DxEySL/libcereal-1.3.1+dfsg/include/cereal/details/traits.hpp>`

Inheritance diagram for cereal::traits::has_shared_from_this< T >:

## Detailed Description

### template<class T>
struct cereal::traits::has_shared_from_this< T >

Determine if T or any base class of T has inherited from std::enable_shared_from_this.

The documentation for this struct was generated from the following file:

- traits.hpp